Переполнение буфера при обработке UDP пакетов в dproxy

Дата публикации:
27.03.2007
Всего просмотров:
1216
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-1465
CVE-2007-1866
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
dproxy-nexgen
Уязвимые версии: dproxy 0.5, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в файле dproxy.c при обработке UDP пакетов. Удаленный пользователь может с помощью специально сформированного UDP пакета вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: dproxy.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: dproxy <= 0.5 Remote Buffer Overflow Exploit (meta 2.7)

или введите имя

CAPTCHA